Summary: Lout text formatting system
Name: lout
Version: 3.08
Release: 2
Group: Applications/Publishing
Icon: lout.gif
Source: ftp://ftp.cs.su.oz.au/jeff/lout.3.08.tar.gz
Patch: lout-3.08-make.patch
Copyright: GPL

%changelog

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description 
The Lout system reads a high-level description of a document similar
in style to LaTeX and produces a PostScript file which can be printed
on many laser printers and graphic display devices.  Plain text output
is also available.

Lout offers an unprecedented range of advanced features, including
optimal paragraph and page breaking, automatic hyphenation, PostScript
EPS file inclusion and generation, equation formatting, tables, diagrams,
rotation and scaling, sorted indexes, bibliographic databases, running
headers and odd-even pages, automatic cross referencing, multilingual
documents including hyphenation (most European languages are supported,
including Russian), formatting of C/C++ programs, and much more, all
ready to use.  Furthermore, Lout is easily extended with definitions
which are very much easier to write than troff of TeX macros because
Lout is a high-level language, the outcome of an eight-year research
project that went back to the beginning.

%package doc
Summary: Full lout documentation
Group: Applications/Publishing

%description doc
This package includes the complete Lout documentation, including
the "user" and "expert" manuals, written in Lout and with PostScript
output.  Good examples of writing large docs with Lout.

%prep
%setup -n lout.3.08
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lout
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" c2lout

%install
rm -rf /usr/lib/lout
rm -rf /usr/doc/lout
make install
make installman
make installdoc
for i in user slides expert design; do
    chmod 755 /usr/doc/lout/$i
done
strip /usr/bin/lout /usr/bin/c2lout

%files
%doc blurb README maillist whatsnew notes.dsc
/usr/bin/lout
/usr/man/man1/lout.1
/usr/bin/c2lout
/usr/man/man1/c2lout.1
/usr/lib/lout

%files doc
/usr/doc/lout
